Page MenuHomePhabricator

Remove the "reviewer" user group from ru.wikisource
Closed, ResolvedPublic

Description

Could you remove the "reviewer" user group from ru.wikisource? The discussion.

Event Timeline

Vladis13 created this task.Oct 2 2018, 5:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 5:25 PM
Rxy added a subscriber: Rxy.

On hold until 2018-10-06

Also Are you want to really remove the group "reviewer"? if so, please remove the group from all current members (Please blank this page: Special:ListUsers/reviewer).

Or you meant remove the permission "validate" from "reviewer" group at ru.wikisource?

Ratte added a subscriber: Ratte.EditedOct 3 2018, 10:08 PM

Special:ListUsers/reviewer has been blanked.
Yes, we want to really remove reviewer itself as separated user group (same case as T202139)

Rxy claimed this task.Oct 4 2018, 2:54 PM

Thanks for take an action for pre-requirements and clarify .

Rxy moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

What meaning of 'and the "validate" right'?

if removed the group, I think any groups have no held that permission.

Vladis13 renamed this task from Remove the "reviewer" user group and the "validate" right from ru.wikisource to Remove the "reviewer" user group from ru.wikisource.Oct 5 2018, 6:10 PM
Vladis13 updated the task description. (Show Details)

Sorry for confusing, I updated the task.

Change 464890 had a related patch set uploaded (by Rxy; owner: Rxy):
[operations/mediawiki-config@master] Remove the "reviewer" group at ruwikisource

https://gerrit.wikimedia.org/r/464890

Rxy triaged this task as Normal priority.Oct 5 2018, 9:09 PM
Rxy moved this task from Backlog to In progress on the Russian-Sites board.
Rxy moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.
Rxy moved this task from Backlog to SWAT deploy on the User-Rxy board.

Change 464890 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove the "reviewer" group at ruwikisource

https://gerrit.wikimedia.org/r/464890

Mentioned in SAL (#wikimedia-operations) [2018-10-08T11:27:55Z] <addshore@deploy1001> Synchronized wmf-config/flaggedrevs.php: SWAT: [[gerrit:464890]] Remove the "reviewer" group at ruwikisource T205997 (duration: 00m 57s)

Rxy closed this task as Resolved.Oct 8 2018, 11:32 AM
Rxy removed a project: Patch-For-Review.
Rxy moved this task from SWAT deploy to Done - SWAT deploy on the User-Rxy board.
Rxy moved this task from In progress to Done on the Russian-Sites board.